#include "BaseAlgorithm.h"

BaseAlgorithm::BaseAlgorithm():thread_time(0){

}
BaseAlgorithm::~BaseAlgorithm(){

}
qint64 BaseAlgorithm::getThreadTime()const{
    return thread_time.load(std::memory_order_acquire);
}

bool BaseAlgorithm::getIsRunning()const{
    return isRunning.load(std::memory_order_acquire);
}

void BaseAlgorithm::setIsRunning(bool running) {
    this->isRunning.store(running, std::memory_order_release);
}
